#
# Copyright (C) 2019 The LineageOS Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# inherit from the loire-common
include device/sony/loire-common/BoardConfigCommon.mk

DEVICE_PATH := device/sony/kugo

# Assert
TARGET_OTA_ASSERT_DEVICE := kugo

# TODO
# HIDL
#DEVICE_MANIFEST_FILE += $(DEVICE_PATH)/manifest.xml

# Include path
TARGET_SPECIFIC_HEADER_PATH += $(DEVICE_PATH)/include

# TODO
# Kernel properties
#TARGET_KERNEL_CONFIG := lineageos_loire_kugo_defconfig

# TODO
# Partition information
#BOARD_VOLD_MAX_PARTITIONS := 25

# TODO
# Power
#TARGET_TAP_TO_WAKE_NODE := "/sys/devices/virtual/input/clearpad/wakeup_gesture"

# SELinux
BOARD_SEPOLICY_DIRS += $(DEVICE_PATH)/sepolicy

# Inherit from proprietary files
include vendor/sony/kugo/BoardConfigVendor.mk
